# More Mega Structures  更多巨构建筑

- Open Dyson sphere editor (press "Y") and you can find buttons in the bottom-left corner, to select which megastructure you plan to construct. Then you can design your megastructure, just like designing a Dyson sphere.   
- You need to launch the corresponding rockets (see new items in the images below) in the silo to build the megastructure. Besides, you still need to eject [solar sail] to fill the shell of the megastructure, aiming to provide energy for the mega structure.   

- 打开戴森球编辑器面板（按下Y），就可以在左下角选择要在当前恒星上修建哪一种巨构建筑。之后你就可以像设计戴森球一样设计新的巨构建筑。  
- 你需要在发射井发射对应的火箭，此外你仍然需要弹射太阳帆来填充壳面，以此来为巨构建筑供能。像戴森球一样，更多的结构和壳面能够提升巨构建筑的最大效能。但与戴森球不同的是，太阳帆在被壳面吸收前不提供任何效能或产出。   

![pressY](https://s2.loli.net/2022/02/26/4ToCAsJBg7vP8jq.png)
![editor3.png](https://s2.loli.net/2022/02/26/pLtRzAfbyP9dgsc.png)
![replicator.png](https://s2.loli.net/2022/02/26/5sP8KY9O2tETIvM.png)   

## Matter Decompressor  

- Extract matter from black hole and accretion disks, which can be received on the ground as iron, copper, silicon, titanium, unipolar magnet or graphite by corresponding reconstruction devices ![Ciron.png](https://s2.loli.net/2022/02/25/leC7RNPwWkqE54A.png) ![Ccopper.png](https://s2.loli.net/2022/02/25/xDqTEuoZVF8hYAw.png) ![Csilicon.png](https://s2.loli.net/2022/02/25/9NUSOYlBADjyXxC.png)  ![Ctitanium.png](https://s2.loli.net/2022/02/25/7GfEhzaAtVPZNJR.png) ![Cmagore.png](https://s2.loli.net/2022/02/25/qCTfJ2cv8usj5Ge.png) ![Ccoal.png](https://s2.loli.net/2022/02/28/mQpbW6cZftyVxzw.png) (just like [ray receiver] generating [critical photon]s, which must be set to substance generation mode).   
- Can only be built on black holes.   

## Science Nexus  

- When researching, the Science Nexus will automatically upload additional hash blocks to greatly increase research speed, without building any receivers or consuming any matrices. You can view the additional research speed provided by the Science Nexus in the Megastructure Editor (Y). In addition, the [Research speed] technology will also enhance the Research Speed of the Science Nexus.  
- Science Nexus will provide metadata. It cannot be superimposed with the metadata provided by matrix production. The higher of the two values will be used as the metadata provided by this archive.   

## Warp Field Broadcast Array

- Use the energy of the star to broadcast the warp energy field to the entire galaxy, which will directly increase the warp speed of the logistics vessels, without requiring any receivers. You can view the warp speed bonus provided by the Warp Field Broadcast Array in the Megastructure Editor (Y). And this bonus can be stacked with the [Logistics carrier engine] technology.  
- You can only build one Warp Field Broadcast Array. Max bonus = 250 light-years per second (without counting technology bonuses).   

## Interstellar Assembly  

- Assemble highly integrated multifunctional components and send them back to the surface. You need to build a [component integration station] ![Cic.png](https://s2.loli.net/2022/02/25/Fb8YACyH3PQD9Jg.png) on the surface to receive the output (must be set to substance generation mode). Or at the cost of 90% output speed loss, directly teleport it to the mecha inventory (you can press C to set the upper limit of remote transmission or turn off the remote transmission function in the mecha panel). The [integrated components] ![integratedcomponents.png](https://s2.loli.net/2022/02/25/cfWPK6xV9h2pGoH.png) produced by the Interstellar Assembly can be directly assembled into a variety of production buildings and logistics items at great speed, even satellite substations and artificial stars, and do not require any additional materials. This means you can go out with just a bunch of [integrated components].   
![quickRecipes.png](https://s2.loli.net/2022/02/26/XLTB8NwbltguEZi.png)   

## Crystal Reconstructor 

- Guide photons to strip crystallites from neutron stars or white dwarfs and send them to the surface. You need to build a [Crystal Receiver] ![Ccrystal.png](https://s2.loli.net/2022/02/25/LNuyO1efinJdAE7.png) on the surface to produce [Casimir crystal]s (must be set to substance generation mode).  Or produce optical grating crystal by building ![Cgrating.png](https://s2.loli.net/2022/02/28/fcuTWr4d3iR9jeX.png).   
- Can only be built on neutron stars or white dwarfs.   

## Nicoll-Dyson Beam (Star Cannon)

- This megastructure won't be available unless you have installed the mod [TheyComeFromVoid](https://dsp.thunderstore.io/package/ckcz123/TheyComeFromVoid/) , which version must be at least 2.0.0.   
- Star cannon can destory wormholes to reduce the intensity of enemy attacks.   
- Building a star cannon goes through multiple stages. You can only build one star cannon.   

### Other Tips  

- You cannot change the type of a megastructure unless all shells, frames and nodes have been removed.   
- [Graviton lens] work with all kinds of receivers.   
- When you build receivers on planets that don't match megastructures:   
	-- if it is in power generation mode, these receivers can generate power correctly, but they will also compete with other receivers for the output of megastructures;  
	--if it is in substance generation mode, the wrong receiver will not work, but will still compete for the output of the megastructure.  
- Science Nexus and Warp Field Broadcast Array do not require any receivers to work. Building any receiver in the same star system will make it less efficient, regardless of the receiver's mode.  
- Most of the content of this mod is unlocked in late game technology. The yield factor for megastructures may be unreasonable and will be adjusted in future versions. Any suggestions or feedback questions are welcome.

### Installation (If Manually)  

1. Install BepInEx.    
2. Intsall LDBTool, DSPModSave and CommonAPI.    
3. Drag MoreMegaStructure.dll into "Dyson Sphere Program/BepInEx/plugins/".  
4. Drag "mmstabicon" into the same folder of MoreMegaStructure.dll 

### Change log

v1.0.0: Now, the multi-functional components produced by the Interstellar Assembly can be directly teleported to the mech inventory. See the Interstellar Assembly above for a details.   
         Now Science Nexus will provide a small amount of metadata according to the speed of producing hash points.    
         Fix some text error. Move the megastructure buttons to the top to avoid blocking other buttons.   
         Add Nicoll Dyson beam for mod *TheyComeFromVoid*. Note that this new megastructure is only available if you have *TheyComeFromVoid* with version higher than 2.0.0 installed. Science Nexus research speed has been nerfed to 1/3 *only in the mod TheyComeFromVoid* for balance.     

v0.4.1 & v0.4.2: Updated to work with game version 0.9.25.11985.

v0.4.0: Change some icons, add some instructions. Fix a bug, which may cause error when you try to open DysonEditorPanel in space.  

v0.3.3: Optimize the calculation logic of the output research speed of the science nexus.  
         Science Nexus can now independently complete the entire process of unlocking any technology.

v0.3.2: The basic research speed of the Science Nexus has been restored to the original version, but the bonus provided by each level of technology has been reduced from 100% to 1%.

v0.3.1: Fix an issue with missing icon.

v0.3.0: Now the new items (except the receiver buildings) can be seen in the production statistics panel;   
          Add 2 new receivers to product graphite and optical grating crystal.

v0.2.0: The basic research speed of the Science Nexus has been reduced to 1/10;
           Changed some Dyson Sphere text descriptions.


## 物质解压器  

- 从黑洞和吸积盘中提取物质，可在地面上由对应的重构装置 ![Ciron.png](https://s2.loli.net/2022/02/25/leC7RNPwWkqE54A.png) ![Ccopper.png](https://s2.loli.net/2022/02/25/xDqTEuoZVF8hYAw.png) ![Csilicon.png](https://s2.loli.net/2022/02/25/9NUSOYlBADjyXxC.png)  ![Ctitanium.png](https://s2.loli.net/2022/02/25/7GfEhzaAtVPZNJR.png) ![Cmagore.png](https://s2.loli.net/2022/02/25/qCTfJ2cv8usj5Ge.png)   ![Ccoal.png](https://s2.loli.net/2022/02/28/mQpbW6cZftyVxzw.png) 接收为铁、铜、硅、钛、单极磁石或高能石墨（就像射线接受器生成光子一样，必须设置成物质合成模式）。  
- 只能在黑洞上建造。  

## 科学枢纽  

- 在研究科技时，科学枢纽将自动上传额外的哈希块来大幅提升研究速度，无需建造任何接收器，也不消耗任何矩阵。你可以在巨构编辑器（Y）查看科学枢纽提供的额外研究速度。此外，研究速度加成科技将同样能强化科学枢纽的研究速度。     
- 科学枢纽将提供元数据（不与矩阵生产提供的元数据叠加，二者取较大值）。随着科学枢纽Hash产量的提高，提供的元数据也将增加，但增长量会越来越不明显。    

## 折跃场广播阵列  

- 利用恒星的能量将折跃能量场广播到全星区，这将直接提升全星区的物流运输船的曲速速度，无需建造任何接收器。你可以在巨构编辑器（Y）查看折跃场广播阵列提供的曲速速度加成。且该加成可以和运输船引擎科技叠加。   
- 全星区最多只能建造一个。折跃场广播阵列提供的曲速加成最多为250光年/秒。   

## 星际组装厂  

- 组装高集成度的多功能组件，并将其送回地表，你需要在地表建造 [组件集成装置] ![Cic.png](https://s2.loli.net/2022/02/25/Fb8YACyH3PQD9Jg.png) 来接收该产出（必须设置成物质合成模式），或以90%产出速度损失的代价，直接让其远程传送到机甲中（可以按下C在机甲面板中设置远程传输的上限或关闭远程传输功能）。星际组装厂生产的[集成组件] ![integratedcomponents.png](https://s2.loli.net/2022/02/25/cfWPK6xV9h2pGoH.png) 可以以极快的速度直接组装成多种生产建筑以及物流相关的物品，甚至包括卫星配电站和人工恒星，并且不需要任何其他材料。这意味着你可以出门只带一堆集成组件。  
![quickRecipes.png](https://s2.loli.net/2022/02/26/XLTB8NwbltguEZi.png)   

## 晶体重构器  

- 引导光子从中子星或白矮星中剥离微晶，并送至地表。你需要在地表建造 [晶体接收器] ![Ccrystal.png](https://s2.loli.net/2022/02/25/LNuyO1efinJdAE7.png)  来产出卡西米尔晶体（必须设置成物质合成模式）。 或建造 ![Cgrating.png](https://s2.loli.net/2022/02/28/fcuTWr4d3iR9jeX.png) 来接收光栅石。   
- 只能在中子星或白矮星上建造。   

## 尼科尔·戴森光束（恒星炮） 

- 你必须安装了另一个mod  [TheyComeFromVoid](https://dsp.thunderstore.io/package/ckcz123/TheyComeFromVoid/) 的2.0.0以上版本才能使用这个巨构。   
- 恒星炮能够摧毁虫洞，从而削弱即将到来的进攻的强度。   
- 恒星炮的建造需要经过多个阶段，你最多建造一个恒星炮。   

### 其他提示  

- 在拆除所有壳面、框架和节点前，你不能改变巨构建筑的类型。  
- 引力透镜对各种不同的接收器均有效。  
- 当你在行星上建造与巨构建筑不相符的接收器：  
	-- 如果是直接发电模式(Power generation)，这些接收器都可以发电，但也会和其他接收器争夺巨构建筑的输出；  
	-- 如果是物质合成模式(Substance generation)，错误的接收器将无法工作，但仍然会争夺巨构建筑的输出。  
- 科学枢纽和折跃场广播阵列不需要任何接收器就可以工作。在同一星系内建设任何接收器都会使其工作效率下降，无论接收器的模式如何。   
- 此mod大部分内容在游戏后期的科技解锁。巨构建筑的产出系数可能不够合理，因而会在未来的版本被调整。欢迎提出任何建议或反馈问题。    

### 安装（如果手动安装）  

1. 安装 BepInEx框架；   
2. 安装 LDBTool, DSPModSave 和 CommonAPI；  
3. 将MoreMegaStructure.dll 放入 "Dyson Sphere Program/BepInEx/plugins/"；   
4. 将"mmstabicon" 文件放入与MoreMegaStructure.dll 相同的文件夹。  

### 更新

v1.0.0: 现在，星际组装厂产出的多功能组件可以选择直接被远程传送至机甲或使用接收器接收。具体描述见上方星际组装厂。    
         现在科学枢纽将根据产出科研点的速度提供少量元数据。  
         更正了一些文本错误。将巨构按钮移到了上方以免遮住游戏原本的一些按钮。       
         与另一个mod *They Come From Void* 进行联动并添加了新的巨构：尼克尔戴森光束。尼克尔戴森光束只有在你安装了该mod的2.0版本后才可用。为平衡，科学枢纽的研究速度仅在该mod中被削弱至1/3。

v0.4.1 & v0.4.2: 更新以适配游戏版本0.9.25.11985。

v0.4.0: 修改了一些物品图标，新增了一些指示说明。修复了一个在外太空航行时打开巨构编辑界面会导致报错的bug。

v0.3.3: 优化科学枢纽产出研究速度的计算逻辑。  
        现在科学枢纽可以独立完成解锁任何科技的全过程。

v0.3.2: 科学枢纽的基础研究速度还原至最初版本，但每级科技提供的加成由100%下调至1%。

v0.3.1: 修复一个图标缺失的问题。

v0.3.0: 现在新物品（除了新的接收器）可以出现在生产统计面板中；   
          新增了两种接收器来接收高能石墨和光栅石。

v0.2.0: 科学枢纽的基础研究速度被降至原有的1/10；
          修改部分游戏内的戴森球文本描述。
